abis_rsl_common_hdr Struct Reference
A-bis RSL

RSL common header. More...

`#include <gsm_08_58.h>`

## Data Fields

uint8_t | msg_discr
| message discriminator (ABIS_RSL_MDISC_*) More...
uint8_t | msg_type
| message type (abis_rsl_msgtype) More...
uint8_t | data [0]
| actual payload data More...

## Detailed Description

RSL common header.

## Field Documentation

## data

uint8_t abis_rsl_common_hdr::data[0]

actual payload data

## msg_discr

uint8_t abis_rsl_common_hdr::msg_discr

message discriminator (ABIS_RSL_MDISC_*)

Referenced by lapdm_rslms_recvmsg(), rsl_init_cchan_hdr(), rsl_init_rll_hdr(), rsl_rll_push_hdr(), and rsl_rll_simple().

## msg_type

uint8_t abis_rsl_common_hdr::msg_type

message type (abis_rsl_msgtype)

Referenced by rsl_init_cchan_hdr(), rsl_init_rll_hdr(), rslms_rx_com_chan(), rslms_rx_rll(), and rslms_rx_rll_res_req().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_08_58.h